# Get Pipeline Index Metadata Types

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Pipeline Index Metadata Types"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/workspaces/{workspace_name}/pipelines/{pipeline_name}/meta"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Returns the metadata keys and their types for a pipeline's connected index.
For multi-index pipelines, the first found index's metadata is returned.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"The name of the pipeline whose files you want to display.","in":"path","name":"pipeline_name","required":true,"schema":{"description":"The name of the pipeline whose files you want to display.","title":"Pipeline Name","type":"string"}},{"description":"Type the name of the workspace.","in":"path","name":"workspace_name","required":true,"schema":{"description":"Type the name of the workspace.","title":"Workspace Name","type":"string"}},{"description":"Whether to return information about nested metadata fields.","in":"query","name":"return_nested","required":false,"schema":{"default":false,"description":"Whether to return information about nested metadata fields.","title":"Return nested","type":"boolean"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"additionalProperties":{"properties":{"type":{"description":"The associated data type of the metadata field such as 'keyword', 'long', 'float', or 'date'.","title":"Data type of the the metadata field.","type":"string"}},"required":["type"],"title":"PipelineIndexMetadataProperty","type":"object"},"title":"Response 200 Get Pipeline Index Metadata Types Api V1 Workspaces  Workspace Name  Pipelines  Pipeline Name  Meta Get","type":"object"}}},"description":"Metadata for the pipeline's index."},"404":{"description":"The pipeline you specified doesn't exist in this workspace. Check if the pipeline name is correct."},"412":{"description":"This pipeline's index doesn't exist or isn't enabled. Ensure the index connected to this pipeline exists and is enabled."},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
